# DataExchange
TKXCAFSchema
MXCAFDoc

# MXCAFDoc_ColorToolRetrievalDriver Class Reference

`#include <MXCAFDoc_ColorToolRetrievalDriver.hxx>`

## Public Member Functions

Standard_EXPORT | MXCAFDoc_ColorToolRetrievalDriver (const Handle(CDM_MessageDriver)&theMsgDriver)
Standard_EXPORT Standard_Integer | VersionNumber () const
| Returns the version number from which the driver is available: 0. .
Standard_EXPORT Handle_Standard_Type | SourceType () const
| Returns the type: XCAFDoc_Color .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
Standard_EXPORT void | Paste (const Handle(PDF_Attribute)&Source, const Handle(TDF_Attribute)&Target, const Handle(MDF_RRelocationTable)&RelocTable) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT MXCAFDoc_ColorToolRetrievalDriver::MXCAFDoc_ColorToolRetrievalDriver | ( | const Handle(CDM_MessageDriver)& | theMsgDriver | ) |

## Member Function Documentation

Standard_EXPORT const MXCAFDoc_ColorToolRetrievalDriver::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_TDF_Attribute MXCAFDoc_ColorToolRetrievalDriver::NewEmpty | ( |  | ) | const

Standard_EXPORT void MXCAFDoc_ColorToolRetrievalDriver::Paste | ( | const Handle(PDF_Attribute)& | Source,
|  | const Handle(TDF_Attribute)& | Target,
|  | const Handle(MDF_RRelocationTable)& | RelocTable
| ) | const

Standard_EXPORT Handle_Standard_Type MXCAFDoc_ColorToolRetrievalDriver::SourceType | ( |  | ) | const

Standard_EXPORT Standard_Integer MXCAFDoc_ColorToolRetrievalDriver::VersionNumber | ( |  | ) | const

The documentation for this class was generated from the following file:

- MXCAFDoc_ColorToolRetrievalDriver.hxx